#!/bin/sh

set -e
set -x

usage() {
	progname=$(basename $0)
	echo "$progname --upstream-version <UPSTREAM-VERSION> <UPSTREAM-TARBALL>"
}


if [ "$#" -ne "3" ] ; then
	usage
	exit 1
fi

UPSTREAM_VERS="$2"
UPSTREAM_TAR="$3"
DEST_DIR=`dirname $3`

PKG_NAME=`dpkg-parsechangelog | sed -n -e 's/^Source: //p'`
DEB_RELEASE=`dpkg-parsechangelog | sed -n -e 's/^Version: //p'`
DFSG_VERSION=`echo "${DEB_RELEASE}" | sed -e 's/^[[:digit:]]\+://' -e 's/[-][^-]\+//'`
UNPACK_DIR="${PKG_NAME}-${DFSG_VERSION}"

TEMP_DIR=$(mktemp -d -t)
echo "Unpacking upstream tarball..."
tar -xzf ${UPSTREAM_TAR} --directory ${TEMP_DIR}
UPSTREAM_SRC=`ls ${TEMP_DIR}`
mv ${TEMP_DIR}/${UPSTREAM_SRC} ${TEMP_DIR}/${UNPACK_DIR}
rm ${TEMP_DIR}/${UNPACK_DIR}/babel/global.dat
rm ${TEMP_DIR}/${UNPACK_DIR}/babel/localedata/*.dat

wget -P ${TEMP_DIR} http://unicode.org/Public/cldr/23.1/core.zip && \
	unzip ${TEMP_DIR}/core.zip -d ${TEMP_DIR}/${UNPACK_DIR}
tar -C ${TEMP_DIR} --owner=root --group=root --mode=a+rX -c ${UNPACK_DIR} | xz -6 >${DEST_DIR}/${PKG_NAME}_${DFSG_VERSION}.orig.tar.xz
rm -r ${TEMP_DIR}
